# Uses of Enum
org.apache.qpid.proton.amqp.messaging.TerminusExpiryPolicy

Packages that use TerminusExpiryPolicy
Package
Description
org.apache.qpid.proton.amqp.messaging

## Uses of TerminusExpiryPolicy in org.apache.qpid.proton.amqp.messaging

Methods in org.apache.qpid.proton.amqp.messaging that return TerminusExpiryPolicy
Modifier and Type
Method
Description
`final TerminusExpiryPolicy`
Terminus.`getExpiryPolicy()`
`static TerminusExpiryPolicy`
TerminusExpiryPolicy.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TerminusExpiryPolicy`
TerminusExpiryPolicy.`valueOf(Symbol policy)`
Returns the enum constant of this type with the specified name.
`static TerminusExpiryPolicy[]`
TerminusExpiryPolicy.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.qpid.proton.amqp.messaging with parameters of type TerminusExpiryPolicy
Modifier and Type
Method
Description
`final void`
Terminus.`setExpiryPolicy(TerminusExpiryPolicy expiryPolicy)`